## ETableSubset

ETableSubset

## Functions

ETableModel * | e_table_subset_new ()
ETableModel * | e_table_subset_construct ()
ETableModel * | e_table_subset_get_source_model ()
gint | e_table_subset_model_to_view_row ()
gint | e_table_subset_view_to_model_row ()
ETableModel * | e_table_subset_get_toplevel ()
void | e_table_subset_print_debugging ()

## Types and Values

struct | ETableSubset

## Object Hierarchy

        GObject
        ╰── ETableSubset
            ╰── ETableSorted

## Implemented Interfaces

ETableSubset implements ETableModel.

## Description

## Functions

### e_table_subset_new ()

    ETableModel *
    e_table_subset_new (ETableModel *source_model,
                        gint n_vals);

### e_table_subset_construct ()

    ETableModel *
    e_table_subset_construct (ETableSubset *table_subset,
                              ETableModel *source_model,
                              gint nvals);

### e_table_subset_get_source_model ()

    ETableModel *
    e_table_subset_get_source_model (ETableSubset *table_subset);

### e_table_subset_model_to_view_row ()

    gint
    e_table_subset_model_to_view_row (ETableSubset *table_subset,
                                      gint model_row);

### e_table_subset_view_to_model_row ()

    gint
    e_table_subset_view_to_model_row (ETableSubset *table_subset,
                                      gint view_row);

### e_table_subset_get_toplevel ()

    ETableModel *
    e_table_subset_get_toplevel (ETableSubset *table_subset);

### e_table_subset_print_debugging ()

    void
    e_table_subset_print_debugging (ETableSubset *table_subset);

## Types and Values

### struct ETableSubset

    struct ETableSubset;